Skip to main content
GET
/
v1
/
tools
/
custom
List custom tools visible to the caller
curl --request GET \
  --url https://tools.runtools.ai/v1/tools/custom \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "category": "<string>",
      "visibility": "private",
      "version": "<string>",
      "runtime": "<string>",
      "actionsJson": {},
      "credentialsJson": {},
      "installCount": 123,
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ownerDisplayName": "<string>",
      "ownerEmail": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS session token or RunTools API key (rt_live_* / rt_test_*). Used in Authorization: Bearer <token> header.

Query Parameters

all
boolean

Include resources for all members of the org (admin only).

Response

200 - application/json

Tools.

data
object[]